InternalTables1 (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class InternalTables1

    java.lang.Object
      |
      +--org.python.core.InternalTables
            |
            +--org.python.core.InternalTables1

Direct Known Subclasses:
  InternalTables2

public class InternalTables1
extends InternalTables

Nested Class Summary

Nested classes inherited from class org.python.core.InternalTables
`InternalTables._LazyRep`

Constructor Summary
`InternalTables1()`

Method Summary
`void` | `_beginCanonical()`
`void` | `_beginLazyCanonical()`
`void` | `_beginOverAdapterClasses()`
`void` | `_beginOverAdapters()`
`void` | `_flush(PyJavaClass jc)`
`void` | `_flushCurrent()`
`java.lang.Object` | `_next()`

Methods inherited from class org.python.core.InternalTables
`_doesSomeAutoUnload, _forceCleanup`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalTables1

    public InternalTables1()

Method Detail

### _beginCanonical

    public void _beginCanonical()

  Specified by:
    `_beginCanonical` in class `InternalTables`

### _beginLazyCanonical

    public void _beginLazyCanonical()

  Specified by:
    `_beginLazyCanonical` in class `InternalTables`

### _beginOverAdapterClasses

    public void _beginOverAdapterClasses()

  Specified by:
    `_beginOverAdapterClasses` in class `InternalTables`

### _beginOverAdapters

    public void _beginOverAdapters()

  Specified by:
    `_beginOverAdapters` in class `InternalTables`

### _next

    public java.lang.Object _next()

  Specified by:
    `_next` in class `InternalTables`

### _flushCurrent

    public void _flushCurrent()

  Specified by:
    `_flushCurrent` in class `InternalTables`

### _flush

    public void _flush(PyJavaClass jc)

  Specified by:
    `_flush` in class `InternalTables`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage